##
##  jargon.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         jargon
Summary:      The New Hacker's Dictionary aka Jargon File
URL:          http://www.catb.org/~esr/jargon/
Vendor:       Eric S. Raymond
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Searching
License:      PD
Version:      4.4.7
Release:      20080101

#   list of sources
Source0:      http://www.catb.org/~esr/jargon/jargon-%{version}.tar.gz
Source1:      jargon.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, w3m, gawk

%description
    The New Hacker's Dictionary aka "Jargon File" is a comprehensive
    compendium of hacker slang illuminating many aspects of hackish
    tradition, folklore, and humor.

%track
    prog jargon = {
        version   = %{version}
        url       = http://www.catb.org/~esr/jargon/download.html
        regex     = jargon-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build

%install

    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/share/jargon

    chmod u+w *.css
    cp *.css     $RPM_BUILD_ROOT%{l_prefix}/share/jargon/
    cp -r html/* $RPM_BUILD_ROOT%{l_prefix}/share/jargon/
    rm -f $RPM_BUILD_ROOT%{l_prefix}/share/jargon/*-frame.html

    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        -e 's;@l_awk@;%{l_awk};g' \
        %{SOURCE jargon.sh} $RPM_BUILD_ROOT%{l_prefix}/bin/jargon

    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

